/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-08-05
 * Changed:         2022-08-05
 *
 * */

#ifndef LS_MATH_VECTOR_TYPES_HPP
#define LS_MATH_VECTOR_TYPES_HPP

#include <array>

namespace ls::math::core::type
{
  using vector2_component = double;
  using vector2_components = std::array<ls::math::core::type::vector2_component, 2>;
  using vector_scalar = ls::math::core::type::vector2_component;
}

#endif
